[Réglé] Support de l'utilisationexplication création sur le version_check

Forum de support pour toutes les questions concernant l'utilisation de phpBB toutes versions. les problèmes rencontrés lors de manipulations et de la configuration du forum.
Avatar de xpmen
Belgique xpmen
Auteur du sujet
Messages : 260
Enregistré le : 25 novembre 2018
Liquide : 1 881.65
Pays :
Belgique (be)
Belgique

explication création sur le version_check

Message par Belgique xpmen » 23 nov. 2020, 18:25
bonjour

je ne me prétend pas codeur ouuuuuula j'en suis a des année lumière
je suis autodidacte et apprend seul dans mon petit coin :roll:
les seul ext que je bidouille reste pour mon utilisation personnel
un très grand nombre de chose sont pour moi un mystère, qui sont si loin de ma compréhension que n’essaie même pas de les comprendre.
et parfois il y a un mystère que je voudrai élucider :mrgreen:
celui qui m'intrigue est le

code : Tout sélectionner

version_checkxxxx
sur les 4 petite ext que j'ai bidouiller, j'ai jamais réussi a comprendre le fonctionnement de la vérification de version
c'est pas utile puisque sa reste chez moi et que je sais parfaitement bien la version que j'installe :lol:

mais je voudrai comprendre :evil:

sur mon ftp il y a un dossier

code : Tout sélectionner

versions
la j'y met les fichier

code : Tout sélectionner

json
en voici le contenu du dernier

code : Tout sélectionner

{
    "stable": {
        "1.0.0": {
            "current": "1.0.0",
            "download": "",
            "announcement": "",
            "eol": null,
            "security": false
        }
    },
    "unstable": {
        "1.0.0": {
            "current": "1.0.0",
            "download": "",
            "announcement": "",
            "eol": null,
            "security": false
        }
    }
}
et voici le contenu de mon

code : Tout sélectionner

composer.json

code : Tout sélectionner

{
	"name": "xpmen/emojisg",
	"type": "phpbb-extension",
	"description": "pop up emoji",
	"homepage": "https://super-game.be",
	"version": "1.0.1",
	"time": "2020-11-23",
	"keywords": ["phpbb", "extension", "picture", "hosting", "image"],
	"license": "GPL-2.0",
	"authors": [
		{
			"name": "xpmen",
			"username": "xpmen",
			"email": "xpmen7780@gmail.com",
			"homepage": "https://super-game.be/",
			"role": ""
		}
	],
	"require": {
		"php": ">=5.3.3"
	},
	"extra": {
		"display-name": "pop up liste emoji",
		"soft-require": {
			"phpbb/phpbb": "3.3.2"
		},
		"version-check": {
		    "host": "super-game.be",
		    "directory": "/versions",
		    "filename": "/version_checkemoji.json"
		}
	}
}
quel sont mes erreur Sylver ?


pour les passionés du potager: www.hortus-meo.be
Avatar de Sylver35
France Sylver35
Administrateur du site
Messages : 530
Enregistré le : 13 janvier 2018
Liquide : 3 203.45
Relax-Arcade :  3
Localisation : Bretagne
Pays :
France (fr)
France

explication création sur le version_check

Message par France Sylver35 » 23 nov. 2020, 20:03
Hello,
je ne me prétend pas codeur ouuuuuula j'en suis a des année lumière
je suis autodidacte et apprend seul dans mon petit coin
C'est comme cela que le virus commence à attaquer :lol:
quel sont mes erreur Sylver ?
Le problème vient de la partie "unstable" avec une version égale à la stable, ce qui fait échouer la vérification.
Met cela :

code : Tout sélectionner

{
    "stable": {
        "1.0.0": {
            "current": "1.0.0",
            "download": "https://github.com/3D-I/online-since/archive/RC2.zip",
            "announcement": "",
            "eol": null,
            "security": false
        }
    }
}
Et tout devrait bien fonctionner.
Regarde un de mes exemples http://versions.breizhcode.com/breizhshoutbox/version_check.json
Des chercheurs qui cherchent, on en trouve, mais des chercheurs qui trouvent, on en cherche !
Avatar de xpmen
Belgique xpmen
Auteur du sujet
Messages : 260
Enregistré le : 25 novembre 2018
Liquide : 1 881.65
Pays :
Belgique (be)
Belgique

explication création sur le version_check

Message par Belgique xpmen » 24 nov. 2020, 17:28
Bonsoir Sylver

merci de prendre de ton temps une fois de plus :D

bon j'ai fait comme tu dis, mais sa marche toujours pas

je n'ai donc pas besoin de la fonction unstable ?
pour les passionés du potager: www.hortus-meo.be
Avatar de Sylver35
France Sylver35
Administrateur du site
Messages : 530
Enregistré le : 13 janvier 2018
Liquide : 3 203.45
Relax-Arcade :  3
Localisation : Bretagne
Pays :
France (fr)
France

explication création sur le version_check

Message par France Sylver35 » 24 nov. 2020, 18:31
Bon, j'ai trouvé haaa*

J'ai rajouté un fichier .htaccess de base de phpbb dans ton dossier versions afin d'annuler les directives restrictives de la base de apache de ton hébergement et maintenant cela fonctionne.
je n'ai donc pas besoin de la fonction unstable ?
Cela ne sert que si une version instable (dev) est en cours, mais elle doit avoir bien sûr une version différente de la stable !

Puis, attention, la version minimale de php est la 7.1.3 si on cible une version 3.3.x de phpbb 8-)
Des chercheurs qui cherchent, on en trouve, mais des chercheurs qui trouvent, on en cherche !
Avatar de xpmen
Belgique xpmen
Auteur du sujet
Messages : 260
Enregistré le : 25 novembre 2018
Liquide : 1 881.65
Pays :
Belgique (be)
Belgique

explication création sur le version_check

Message par Belgique xpmen » 24 nov. 2020, 19:03
yes Sylver dancegirl dancegirl dancegirl

pour le .htaccess , je ne savais pas et j'aurai jamais trouver ou même imagine

pour php, oki
voila mes 4 petite ext son au vert, ce wk je vais chercher pour les amélioré un peux coté codage (langage en dure dans le html, pas bien sa xpmen, vraiment pas bien :( )

encore merci Sylver
sujet clôt ;)
pour les passionés du potager: www.hortus-meo.be
  • Sujets similaires
    Réponses
    Vues
    Dernier message